VPS侦探论坛

 找回密码
 注册
查看: 178|回复: 1

甲骨文arm版那个系统安装php失败

[复制链接]
发表于 2021-9-2 09:19:05 | 显示全部楼层 |阅读模式



本帖最后由 qwer323 于 2021-9-2 09:26 编辑

映像: Oracle Linux 7.9  ARM,PHP8.0.8.

一个是oniguruma,这个自己手工下载新版安装好了,接下来还有libzip错误其他还不清楚,libzip这个下边没继续弄了,arm的仓库好多版本低

checking for libxml-2.0 >= 2.9.0... yes
checking whether to enable XMLReader support... yes
checking for libxml-2.0 >= 2.9.0... yes
checking whether to enable XMLWriter support... yes
checking for libxml-2.0 >= 2.9.0... yes
checking whether to build with XSL support... yes
checking for libxslt >= 1.1.0... yes
checking for libexslt... yes
checking whether to enable zend-test extension... no
checking for zip archive read/write support... yes
checking for libzip >= 0.11 libzip != 1.3.1 libzip != 1.7.0... no
configure: error: Package requirements (libzip >= 0.11 libzip != 1.3.1 libzip != 1.7.0) were not met:

Requested 'libzip >= 0.11' but version of libzip is 0.10.1

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBZIP_CFLAGS
and LIBZIP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
make: *** No targets specified and no makefile found.  Stop.
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
Copy new php configure file...
Modify php.ini......
include/php.sh: line 86: pear: command not found
include/php.sh: line 87: pecl: command not found
Downloading Composer...



mysql和nginx正常
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-9-2 14:52:31 | 显示全部楼层


自己装一个高版本的libzip
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-9-21 08:01 , Processed in 0.049977 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表